io.netty.handler.codec.mqtt

## Class MqttReasonCodeAndPropertiesVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttReasonCodeAndPropertiesVariableHeader

    public final class MqttReasonCodeAndPropertiesVariableHeader
    extends Object

Variable Header for AUTH and DISCONNECT messages represented by `MqttMessage`

### Field Summary

Fields
`static byte` `REASON_CODE_OK`

### Constructor Summary

Constructors
Constructor and Description
`MqttReasonCodeAndPropertiesVariableHeader(byte reasonCode, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttProperties` `properties()`
`byte` `reasonCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### REASON_CODE_OK

    public static final byte REASON_CODE_OK

See Also:
  Constant Field Values

### Constructor Detail

#### MqttReasonCodeAndPropertiesVariableHeader

    public MqttReasonCodeAndPropertiesVariableHeader(byte reasonCode,
                                                     MqttProperties properties)

### Method Detail

#### reasonCode

    public byte reasonCode()

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`